log4shib 2.0.0

Public Member Functions | List of all members
log4shib::threading::MSMutex Class Reference

A simple object wrapper around CreateMutex() and DeleteMutex() More...

`#include <MSThreads.hh>`

## Public Member Functions
| MSMutex ()
| ~MSMutex ()
LPCRITICAL_SECTION | getCriticalSection ()

## Detailed Description

A simple object wrapper around CreateMutex() and DeleteMutex()

## Constructor & Destructor Documentation

## ◆ MSMutex()

log4shib::threading::MSMutex::MSMutex | ( |  | ) |
| inline

## ◆ ~MSMutex()

log4shib::threading::MSMutex::~MSMutex | ( |  | ) |
| inline

## Member Function Documentation

## ◆ getCriticalSection()

LPCRITICAL_SECTION log4shib::threading::MSMutex::getCriticalSection | ( |  | ) |
| inline

The documentation for this class was generated from the following file:

- MSThreads.hh